콘텐츠로 이동
한국어

문자를 사용한 작업

POST/v1/mailboxes/{mailbox_id}/messages/actions

한 폴더에서 선택한 메시지에 작업을 적용합니다. 해당 ID를 uids에 전달하고 폴더 이름을 folder에 전달하고 해당 uidvalidity.을 action=move의 경우 대상 폴더도 destination.에 지정합니다.

승인 및 접근 영역 · 오류와 반복

요구

터미널 창
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages/actions' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"folder":"INBOX","uidvalidity":1,"uids":[1],"action":"read"}'

옵션

mailbox_idpath반드시

integer

X-Customer-IDheader
옵션 1

string

옵션 2

null

요청 본문 · application/json

object

folder반드시

string

폴더 목록의 폴더 이름(예: INBOX.)

minLength: 1

maxLength: 255

uidvalidity반드시

integer

값은 이 폴더에 대한 응답 API의 uidvalidity입니다.

exclusiveMinimum: 0

uids반드시

array

한 폴더에서 선택한 문자의 식별자입니다.

minItems: 1

maxItems: 100

배열 요소

integer

action반드시

string

유효한 값: "read" "unread" "star" "unstar" "move" "delete"

destination

대상 폴더 이름. action=move.에 필수

옵션 1

string

maxLength: 255

옵션 2

null

알 수 없는 필드는 허용되지 않습니다.

응답

200 성공적인 응답

application/json

object

updated

boolean

401 로그인이 필요합니다

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

403 접근 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

404 리소스를 찾을 수 없습니다.

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

409 국가 갈등

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

422 유효성 검사 오류

application/json

object

detail

array

배열 요소

object

loc반드시

array

배열 요소
옵션 1

string

옵션 2

integer

msg반드시

string

type반드시

string

503 일시적인 이용 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object